Page MenuHomeFreeBSD

D21830.id.diff
No OneTemporary

D21830.id.diff

Index: head/libexec/rc/rc.d/Makefile
===================================================================
--- head/libexec/rc/rc.d/Makefile
+++ head/libexec/rc/rc.d/Makefile
@@ -11,7 +11,6 @@
LOGIN \
NETWORKING \
SERVERS \
- abi \
addswap \
adjkerntz \
archdep \
@@ -51,6 +50,7 @@
kldxref \
${_kpasswdd} \
ldconfig \
+ linux \
local \
localpkg \
lockd \
Index: head/libexec/rc/rc.d/SERVERS
===================================================================
--- head/libexec/rc/rc.d/SERVERS
+++ head/libexec/rc/rc.d/SERVERS
@@ -4,7 +4,7 @@
#
# PROVIDE: SERVERS
-# REQUIRE: mountcritremote sysvipc abi ldconfig savecore watchdogd
+# REQUIRE: mountcritremote sysvipc linux ldconfig savecore watchdogd
# This is a dummy dependency, for early-start servers relying on
# some basic configuration.
Index: head/libexec/rc/rc.d/abi
===================================================================
--- head/libexec/rc/rc.d/abi
+++ head/libexec/rc/rc.d/abi
@@ -1,54 +0,0 @@
-#!/bin/sh
-#
-# $FreeBSD$
-#
-
-# PROVIDE: abi
-# REQUIRE: archdep
-# KEYWORD: nojail
-
-. /etc/rc.subr
-
-name="abi"
-desc="Enable foreign ABIs"
-start_cmd="${name}_start"
-stop_cmd=":"
-
-linux_start()
-{
- local _tmpdir
-
- echo -n ' linux'
- load_kld -e 'linux(aout|elf)' linux
- case `sysctl -n hw.machine_arch` in
- amd64)
- load_kld -e 'linux64elf' linux64
- ;;
- esac
- if [ -x /compat/linux/sbin/ldconfigDisabled ]; then
- _tmpdir=`mktemp -d -t linux-ldconfig`
- /compat/linux/sbin/ldconfig -C ${_tmpdir}/ld.so.cache
- if ! cmp -s ${_tmpdir}/ld.so.cache /compat/linux/etc/ld.so.cache; then
- cat ${_tmpdir}/ld.so.cache > /compat/linux/etc/ld.so.cache
- fi
- rm -rf ${_tmpdir}
- fi
-}
-
-abi_start()
-{
- local _echostop
-
- _echostop=
- if checkyesno linux_enable; then
- echo -n 'Additional ABI support:'
- _echostop=yes
- fi
-
- checkyesno linux_enable && linux_start
-
- [ -n "${_echostop}" ] && echo '.'
-}
-
-load_rc_config $name
-run_rc_command "$1"
Index: head/libexec/rc/rc.d/linux
===================================================================
--- head/libexec/rc/rc.d/linux
+++ head/libexec/rc/rc.d/linux
@@ -0,0 +1,38 @@
+#!/bin/sh
+#
+# $FreeBSD$
+#
+
+# PROVIDE: linux
+# REQUIRE: archdep
+# KEYWORD: nojail
+
+. /etc/rc.subr
+
+name="linux"
+desc="Enable Linux ABI"
+start_cmd="${name}_start"
+stop_cmd=":"
+
+linux_start()
+{
+ local _tmpdir
+
+ load_kld -e 'linux(aout|elf)' linux
+ case `sysctl -n hw.machine_arch` in
+ amd64)
+ load_kld -e 'linux64elf' linux64
+ ;;
+ esac
+ if [ -x /compat/linux/sbin/ldconfigDisabled ]; then
+ _tmpdir=`mktemp -d -t linux-ldconfig`
+ /compat/linux/sbin/ldconfig -C ${_tmpdir}/ld.so.cache
+ if ! cmp -s ${_tmpdir}/ld.so.cache /compat/linux/etc/ld.so.cache; then
+ cat ${_tmpdir}/ld.so.cache > /compat/linux/etc/ld.so.cache
+ fi
+ rm -rf ${_tmpdir}
+ fi
+}
+
+load_rc_config $name
+run_rc_command "$1"
Index: head/libexec/rc/rc.d/localpkg
===================================================================
--- head/libexec/rc/rc.d/localpkg
+++ head/libexec/rc/rc.d/localpkg
@@ -4,7 +4,7 @@
#
# PROVIDE: localpkg
-# REQUIRE: sysvipc abi
+# REQUIRE: sysvipc linux
# BEFORE: securelevel
# KEYWORD: shutdown

File Metadata

Mime Type
text/plain
Expires
Sat, Mar 21, 6:27 PM (5 h, 35 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
30085417
Default Alt Text
D21830.id.diff (3 KB)

Event Timeline